[![pipeline status](https://gitlab.com/caosdb/caosdb-pyinttest/badges/dev/pipeline.svg?job=codestyle)](https://gitlab.com/caosdb/caosdb-pyinttest/commits/dev)

# Welcome

This is the **CaosDB Python Integration Tests** repository and a part of the
CaosDB project.

# Getting started #

To run tests, start up a CaosDB server (documentation for this can be found
elsewhere). Then modify `pycaosdb.ini.template` accordingly and save it as
`pycaosdb.ini`.  Then you can run the tests with `pytest` or `pytest-3`
(depending on your system).

If you want to run just a single test, you can also select a single test file:
`pytest-3 tests/test_issues.py`

# Further Reading

Please refer to the [official gitlab repository of the CaosDB
project](https://gitlab.com/caosdb/caosdb) for more information.

# License

Copyright (C) 2018 Research Group Biomedical Physics, Max Planck Institute for
Dynamics and Self-Organization Göttingen.

All files in this repository are licensed under a [GNU Affero General Public
License](LICENCE.md) (version 3 or later).

